baz_merge Class Reference
GNU Radio baz C++ Signal Processing Blocks

square2 a stream of floats. More...

`#include <baz_merge.h>`

Inheritance diagram for baz_merge:
[legend]

## Public Member Functions

| ~baz_merge ()
void | set_start_time (double time)
void | set_start_time (uint64_t whole, double frac)
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

BAZ_API baz_merge_sptr | baz_make_merge (int item_size, float samp_rate, int additional_streams, bool drop_residual, const char *length_tag, const char *ignore_tag, bool verbose)
| Return a shared_ptr to a new instance of baz_merge. More...

## Detailed Description

square2 a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ~baz_merge()

baz_merge::~baz_merge | ( |  | ) |

## Member Function Documentation

## forecast()

void baz_merge::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int baz_merge::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## set_start_time() [1/2]

void baz_merge::set_start_time | ( | double | time | ) |

## set_start_time() [2/2]

void baz_merge::set_start_time | ( | uint64_t | whole,
|  | double | frac
| ) |  |

## Friends And Related Function Documentation

## baz_make_merge

BAZ_API baz_merge_sptr baz_make_merge | ( | int | item_size,
|  | float | samp_rate,
|  | int | additional_streams,
|  | bool | drop_residual,
|  | const char * | length_tag,
|  | const char * | ignore_tag,
|  | bool | verbose
| ) |  |

friend

Return a shared_ptr to a new instance of baz_merge.

To avoid accidental use of raw pointers, baz_merge's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- baz_merge.h